Bug 1427717 - [RFE] Create and/or select affinity group upon VM creation.
Summary: [RFE] Create and/or select affinity group upon VM creation.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.4.0
: 4.4.0
Assignee: Andrej Krejcir
QA Contact: Polina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 00:24 UTC by Ameya Charekar
Modified: 2020-08-04 13:16 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The current release adds the ability for you to select affinity groups while creating or editing a virtual machine (VM) or host. Previously, you could only add a VM or host by editing an affinity group.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:16:05 UTC
oVirt Team: SLA
Target Upstream Version:
mavital: testing_plan_complete?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:16:42 UTC
oVirt gerrit 100284 0 'None' MERGED core: Allow selecting affinity groups on VM creation 2020-11-01 14:48:42 UTC

Description Ameya Charekar 2017-03-01 00:24:44 UTC
3. What is the nature and description of the request?

When creating a VM, we are not presented the option to select an affinity group, which requires you to assign the VM to an affinity group after the VM is created. It would be great to be able to select the affinity group during the creation process in order to reduce a step in the VM creation process.

It would also be great to have the ability to create an affinity group during VM creation. This would help streamline the deployment process.

4. Why does the customer need this? (List the business requirements here)

Because I deploy ~40 VM’s a month and we utilize affinity groups. For each VM that we deploy, we need to deploy it, back out to the cluster section, select affinity groups, edit the affinity group, add the guest, and confirm. This is no less than 8 or so clicks to simply change a setting for the VM. Also, you can’t just add a VM to an affinity group from it’s configuration. You *have* to go to the cluster section. This is counterintuitive and impacts efficiency.

5. How would the customer like to achieve this? (List the functional
requirements here)

Add a button in the VM creation dialog to create an affinity group and have a dropdown mechanism to select an affinity group to add the guest to.

6. For each functional requirement listed in question 5, specify how Red Hat
and the customer can test to confirm the requirement is successfully implemented.

By checking if we can create and/or select affinity groups while vm creation.

7. Is there already an existing RFE upstream or in Red Hat bugzilla?

No.

8. Does the customer have any specific timeline dependencies?

This is just a feature request to enhance efficiency and productivity, so we have no required timeline for this. It does not affect overall platform operation or management.

9. Is the sales team involved in this request and do they have any additional input?

No

10. List any affected packages or components.


11. Would the customer be able to assist in testing this functionality if
implemented?

We do not have a test environment available for this effort, nor do we have additional RHEV licenses to deploy such an environment.

Comment 4 spower 2018-07-03 09:47:21 UTC
We agreed to remove the component RFEs from Bugzilla. If you feel the component is incorrect please reach out.

Comment 5 Sandro Bonazzola 2019-01-28 09:44:37 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 7 RHV bug bot 2019-12-13 13:13:17 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 8 RHV bug bot 2019-12-20 17:43:20 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 9 RHV bug bot 2020-01-08 14:48:07 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 10 RHV bug bot 2020-01-08 15:13:52 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 11 Polina 2020-01-16 09:57:56 UTC
verified on http://bob-dr.lab.eng.brq.redhat.com/builds/4.4/rhv-4.4.0-14 according to the Polarion Plan

Comment 12 RHV bug bot 2020-01-24 19:49:52 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 17 errata-xmlrpc 2020-08-04 13:16:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.